rc_avpair_tostr(3)

NAME
rc_avpair_tostr -

SYNOPSIS
#include <radcli/radcli.h>

int rc_avpair_tostr(
    rc_handle const  *rh,
    VALUE_PAIR       *pair,
    char             *name,
    int               ln,
    char             *value,
    int               lv
);

DESCRIPTION

Translate an av_pair into printable strings

PARAMETERS

rh  a handle to parsed configuration.

pair
    a pointer to a VALUE_PAIR structure.

name
    the name of the pair.

ln  the size of name.

value
    the value of the pair.

lv  the size of value.

STRUCTURES

Avoid using this structure directly. Use the rc_avpair_get_ functions.

    struct rc_value_pair {
      char                   name[RC_NAME_LENGTH+1];      // attribute name if known.
      uint64_t               attribute; // attribute numeric value of type rc_attr_id including vendor; use VENDOR() and ATTRID() to separate.
      rc_attr_type           type;      // attribute type.
      uint32_t               lvalue;    // attribute value if type is PW_TYPE_INTEGER, PW_TYPE_DATE or PW_TYPE_IPADDR.
      char                   strvalue[AUTH_STRING_LEN+1];  // contains attribute value in other cases.
      struct rc_value_pair  *next;
      char                   pad[32];       // unused pad
    };

RETURN VALUE

0 on success, -1 on failure.

SEE ALSO

radcli.h(3), rc_aaa(3), rc_aaa_ctx(3), rc_aaa_ctx_free(3), rc_aaa_ctx_get_secret(3), rc_aaa_ctx_get_vector(3), rc_aaa_ctx_server(3), rc_acct(3), rc_acct_proxy(3), rc_add_config(3), rc_apply_config(3), rc_auth(3), rc_auth_proxy(3), rc_avpair_add(3), rc_avpair_assign(3), rc_avpair_copy(3), rc_avpair_free(3), rc_avpair_gen(3), rc_avpair_get(3), rc_avpair_get_attr(3), rc_avpair_get_in6(3), rc_avpair_get_raw(3), rc_avpair_get_uint32(3), rc_avpair_insert(3), rc_avpair_log(3), rc_avpair_new(3), rc_avpair_next(3), rc_avpair_parse(3), rc_avpair_remove(3), rc_avpair_tostr(3), rc_buildreq(3), rc_check(3), rc_check_tls(3), rc_conf_int(3), rc_conf_srv(3), rc_conf_str(3), rc_config_free(3), rc_config_init(3), rc_destroy(3), rc_dict_addattr(3), rc_dict_addval(3), rc_dict_addvend(3), rc_dict_findattr(3), rc_dict_findval(3), rc_dict_findvend(3), rc_dict_free(3), rc_dict_getattr(3), rc_dict_getval(3), rc_dict_getvend(3), rc_find_server_addr(3), rc_get_socket_type(3), rc_get_srcaddr(3), rc_getport(3), rc_mksid(3), rc_new(3), rc_openlog(3), rc_own_hostname(3), rc_read_config(3), rc_read_dictionary(3), rc_read_dictionary_from_buffer(3), rc_send_server(3), rc_setdebug(3), rc_test_config(3), rc_tls_fd(3)